Package helma.objectmodel.db

# Interface IDGenerator

public interface IDGenerator
An interface for objects that generate IDs (Strings) that are unique for a specific type.

## Method Summary

Modifier and Type
Method
Description
`String`
`generateID(DbMapping dbmap)`
Generate a new ID for a specific type.
`void`
`init(Application app)`
Init the ID generator for the given application.
`void`
`shutdown()`
Shut down the ID generator.

## Method Details

### init

void init(Application app)
Init the ID generator for the given application.

Parameters:
  `app` -

### shutdown

void shutdown()
Shut down the ID generator.

### generateID

String generateID(DbMapping dbmap) throws Exception
Generate a new ID for a specific type.

Parameters:
  `dbmap` -
Returns:
Throws:
  `Exception`